Bug 216060 - [pa_IN]Lohit Punjabi: (U+0A03) Gurmukhi Sign Visarga right margin is too wide.
[pa_IN]Lohit Punjabi: (U+0A03) Gurmukhi Sign Visarga right margin is too wide.
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On:
Blocks: 216373
  Show dependency treegraph
Reported: 2006-11-16 20:32 EST by Caius Chance
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-04 04:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot. (8.26 KB, image/png)
2006-11-16 20:35 EST, Caius Chance
no flags Details
Solved Cursor positioning problem (647 bytes, patch)
2006-11-20 05:12 EST, Parag Nemade
no flags Details | Diff
Font file of Solved Cursor positioning problem (21.32 KB, application/x-font-ttf)
2006-11-20 05:14 EST, Parag Nemade
no flags Details

  None (edit)
Description Caius Chance 2006-11-16 20:32:15 EST
Description of problem:
The cursor location after committing U+0A03 (เจƒ - Gurmukhi Sign Visarga) is way
too far from the right edge of the glyph. It is not sure if other Indic fonts
with this glyph have similar problems on this glyph, but Lohit Punjabi has been
tested with positive reaction.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install fonts-indic package.
2. Make sure scim has been install, with RAWCODE IME available. (Check in SCIM
option window)
3. Start gedit with SCIM available. (in terminal, type `GTK_IM_MODULE=scim gedit`.
4. Type '0a03' in input field with RAWCODE IME. (Turn on SCIM with
Control-Space, then click on button with IME name on SCIM toolbar.)
5. Reproduced
Actual results:
The cursor is too far from the glyph's right edge.

Expected results:
The cursor is right next to the glyph's right edge.

Additional info:
Other fonts that cover this codebase are needed to be confirmed as well.
Comment 1 Caius Chance 2006-11-16 20:35:35 EST
Created attachment 141434 [details]
Comment 2 Parag Nemade 2006-11-20 05:12:45 EST
Created attachment 141637 [details]
Solved Cursor positioning problem
Comment 3 Parag Nemade 2006-11-20 05:14:51 EST
Created attachment 141638 [details]
Font file of Solved Cursor positioning problem
Comment 4 Parag Nemade 2007-01-04 04:31:22 EST
Built and tested in fonts-punjabi-2.0.9-1

Note You need to log in before you can comment on or make changes to this bug.